Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.internal.artifacts.publish.maven.deploy.groovy
Class DefaultGroovyMavenDeployer

    java.lang.Object
      org.gradle.api.internal.artifacts.publish.maven.deploy.AbstractMavenResolver
          org.gradle.api.internal.artifacts.publish.maven.deploy.BaseMavenDeployer
              org.gradle.api.internal.artifacts.publish.maven.deploy.groovy.DefaultGroovyMavenDeployer

    class DefaultGroovyMavenDeployer
    extends BaseMavenDeployer

author:
  Hans Dockter

Property Summary
`static java.lang.String` | `REPOSITORY_BUILDER`
`static java.lang.String` | `SNAPSHOT_REPOSITORY_BUILDER`

Constructor Summary
`DefaultGroovyMavenDeployer(java.lang.String name, GroovyPomFilterContainer pomFilterContainer, ArtifactPomContainer artifactPomContainer, ConfigurationContainer configurationContainer)`

Method Summary
`MavenPom` | `addFilter(java.lang.String name, groovy.lang.Closure filter)`
`void` | `filter(groovy.lang.Closure filter)`
`def` | `methodMissing(java.lang.String name, def args)`
`MavenPom` | `pom(groovy.lang.Closure configureClosure)`
`MavenPom` | `pom(java.lang.String name, groovy.lang.Closure configureClosure)`

Methods inherited from class BaseMavenDeployer
addProtocolProviderJars, createPreConfiguredTask, getConfiguration, getDeployTaskFactory, getRepository, getSnapshotRepository, isUniqueVersion, setConfiguration, setDeployTaskFactory, setRepository, setSnapshotRepository, setUniqueVersion

Methods inherited from class AbstractMavenResolver
abortPublishTransaction, addFilter, beginPublishTransaction, commitPublishTransaction, createPreConfiguredTask, download, download, dumpSettings, exists, filter, findIvyFileRef, getActivePomFilters, getArtifactPomContainer, getConfigurationContainer, getDependency, getFilter, getName, getNamespace, getPom, getPomFilterContainer, getRepositoryCacheManager, getSettings, listModules, listOrganisations, listRevisions, listTokenValues, listTokenValues, locate, pom, publish, reportFailure, reportFailure, setArtifactPomContainer, setConfigurationContainer, setFilter, setName, setPom, setPomFilterContainer, setSettings

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Property Detail

### REPOSITORY_BUILDER

    public static final java.lang.String REPOSITORY_BUILDER

### SNAPSHOT_REPOSITORY_BUILDER

    public static final java.lang.String SNAPSHOT_REPOSITORY_BUILDER

Constructor Detail

### DefaultGroovyMavenDeployer

    public DefaultGroovyMavenDeployer(java.lang.String name, GroovyPomFilterContainer pomFilterContainer, ArtifactPomContainer artifactPomContainer, ConfigurationContainer configurationContainer)

Method Detail

### addFilter

    MavenPom addFilter(java.lang.String name, groovy.lang.Closure filter)

### filter

    void filter(groovy.lang.Closure filter)

### methodMissing

    public def methodMissing(java.lang.String name, def args)

### pom

    MavenPom pom(groovy.lang.Closure configureClosure)

### pom

    MavenPom pom(java.lang.String name, groovy.lang.Closure configureClosure)

Groovy Documentation